Loyalty.lt
Games

Get a customer's game progress

Returns how far a customer has got in one game.

GET/{locale}/shop/games/{id}/progress

Returns how far a customer has got in one game.

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

Value in

  • "lt"
  • "en"
id*integer

Game ID

Query Parameters

card_id*integer

Loyalty card ID.

Response Body

application/json

curl -X GET "https://example.com/lt/shop/games/1/progress?card_id=45"
{  "success": true,  "code": 200,  "request_id": "550e8400-e29b-41d4-a716-446655440000",  "message": "Success message",  "data": {}}